org.modeshape.sequencer.teiid

## Class VdbDataRole

- java.lang.Object
- - org.modeshape.sequencer.teiid.VdbDataRole

- All Implemented Interfaces:
    Comparable<VdbDataRole>

      public class VdbDataRole
      extends Object
      implements Comparable<VdbDataRole>

  A simple POJO that is used to represent the information for a data role read in from a VDB manifest ("vdb.xml").

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `VdbDataRole.Permission` A simple POJO that is used to represent one data role permission found in the VDB manifest ("vdb.xml").

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VdbDataRole(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VdbDataRole that)`
    `String` | `getDescription()`
    `List<String>` | `getMappedRoleNames()`
    `String` | `getName()`
    `List<VdbDataRole.Permission>` | `getPermissions()`
    `boolean` | `isAllowCreateTempTables()`
    `boolean` | `isAnyAuthenticated()`
    `void` | `setAllowCreateTempTables(boolean newValue)`
    `void` | `setAnyAuthenticated(boolean newValue)`
    `void` | `setDescription(String newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VdbDataRole

          public VdbDataRole(String name)

      Parameters:
        `name` - the data role name (cannot be `null` or empty)

  - ### Method Detail

    - #### compareTo

          public int compareTo(VdbDataRole that)

      Specified by:
        `compareTo` in interface `Comparable<VdbDataRole>`
      See Also:
        `Comparable.compareTo(java.lang.Object)`

    - #### getDescription

          public String getDescription()

      Returns:
        the description (never `null` but can be empty)

    - #### getMappedRoleNames

          public List<String> getMappedRoleNames()

      Returns:
        the mapped data role names

    - #### getName

          public String getName()

      Returns:
        the data role name (never `null` or empty)

    - #### getPermissions

          public List<VdbDataRole.Permission> getPermissions()

      Returns:
        the data role permissions (never `null` but can be empty)

    - #### isAllowCreateTempTables

          public boolean isAllowCreateTempTables()

      Returns:
        `true` if data role can create temp tables

    - #### isAnyAuthenticated

          public boolean isAnyAuthenticated()

      Returns:
        `true` if data role has any authenticated

    - #### setAllowCreateTempTables

          public void setAllowCreateTempTables(boolean newValue)

      Parameters:
        `newValue` - the new value for allowCreateTempTables

    - #### setAnyAuthenticated

          public void setAnyAuthenticated(boolean newValue)

      Parameters:
        `newValue` - the new value for anyAuthenticated

    - #### setDescription

          public void setDescription(String newValue)

      Parameters:
        `newValue` - the new description value (can be `null` or empty)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.